/*
 * This software is copyright 1992 by Robert Morris.
 * You may freely redistribute this software as shareware
 * if you do so in the same form as you got it. If you find
 * this software useful, please send $12 to:
 *   Robert Morris
 *   P.O. Box 1044
 *   Harvard Square Station
 *   Cambridge, MA 02238
 *   ecognome@aol.com
 * If you incorporate any of this software in any kind of
 * commercial product, please send $2 per copy distributed
 * to the above address.
 */

/*
 * Binary trees to help parse T.4 (group 3) code words.
 */
struct t4table{
	unsigned long terminating : 1,	/* end of a terminating code word? */
				  makeup : 1,	/* end of a makeup code? */
				  on0 : 13,		/* or length if terminal == 1 */
				  on1 : 13;
};
extern struct t4table *t4table[2]; /* white is 0 and black is 1 */
extern long t4tablelen[2];

OSErr InitT4Tables(void);
void FreeT4Tables(void);